{ "openapi": "3.1.0", "info": { "title": "SwyftFilings External API", "version": "0.0.1", "description": "# SwyftFilings External API\n\nWelcome to the SwyftFilings External API documentation. This API provides comprehensive access to business formation services, order management, and user authentication for external partners and integrations.\n\n### API Specification file\n\nThe API specification file is available at the following URL:\n\n`https:\/\/tower.qa.swyftfilings.com\/external\/docs\/api\/api.json`" }, "servers": [ { "url": "https:\/\/qa.swyftfilings.com\/api\/external", "description": "Live" }, { "url": "https:\/\/swyftfilings.com\/api\/external", "description": "Prod" } ], "security": [ { "http": [] } ], "paths": { "\/auth\/login": { "post": { "operationId": "auth.login", "description": "Attempts to login and returns token if successful", "summary": "Login", "tags": [ "Authentication" ], "requestBody": { "required": true, "content": { "application\/json": { "schema": { "$ref": "#\/components\/schemas\/LoginRequest" } } } }, "responses": { "200": { "description": "Success response", "content": { "application\/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "data": { "type": "object", "properties": { "user": { "type": "object", "properties": { "partner_id": { "type": "integer", "description": "User ID", "example": 4 }, "name": { "type": "string", "description": "Partner name", "example": "test-partner" }, "email": { "type": "string", "description": "User email (nullable)", "example": null }, "key": { "type": "string", "description": "Partner key", "example": "test-partner" } }, "required": [ "id", "name", "email", "key" ] }, "access_token": { "type": "string", "description": "JWT access token", "example": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJhdWQiOiIzIiwianRpIjoiMzQxZTYwZDI3ZDdjZjIwNmI0MDY0ZGFjZDk3M2IzMDhjNWM2N2FmOTI3ODQ1ZWY5ZDgzOWRhZmEwNGYxNzQxZDc1OTgxYjI4MzhiNzNhMjMiLCJpYXQiOjE3NTczNDI0NjEuNDQxODEsIm5iZiI6MTc1NzM0MjQ2MS40NDE4MTEsImV4cCI6MTc4ODg3ODQ2MS40Mzc0NzQsInN1YiI6IjQiLCJzY29wZXMiOltdfQ.me-OCVH_whpdesObTE_nxKhASiMyGmieEkhxNTdF9AWeiHbtlT1ZEkA433VtmHafp74VFq5bTSyOd2-iky_aoDEOjlsOGxnxYAcexq5vxWNF-bebWFaSxJdjeFYeFvwGx49im2gPuqYLL_bKOlujQHhgg6gkZz5xQCvU0PJ4N9Mgp8X9FRrJ8eD1glffAyvz8sXGM4O5ASdFU7KkqnppRpcWUQUM41sWJlD4myI7SKokrT-eIjmcFLakmLFgXPDQZJnEv2nBmTq2dnZDKS4TgC5wWtdMsIWZZrWpmLPkypf4R_qRtKEzz1GITHj6buCsBHGErvQAbtW6ZaBrxaGjetmBio1ldf9CGxSrdHDs2upUmCOZaaFss9IYdNOxS6YZ97DPJas0-nKwdj0BWxT_O8gfQkRVkqILWPEzCn0ZjtTGRmfXtDiFq1dm5ai9ac_NOF_CIsA5TNw9X4eDX8boKbv95MbTuAsnxTFHYJkDY37kBRMJJe0zMb1DVLVDSeeWmqGNdd-4JilT0VssPzG4nSfYwTDPMN4MLzVyNf8-3MGqedzCd6FfEyF_R1vhC_mqgjXTMYLpDV2n3ydMouaWipedhgEqveb3_LfGFncICORe6xpNKCk4AkAFpas52bERYoMiCQ8a9YOnnciHRZ2yb4P-6lv-PjpBWpw5qjxRToM" }, "token_type": { "type": "string", "description": "Token type", "example": "Bearer" }, "expires_in": { "type": "integer", "description": "Token expiration time in seconds", "example": 31535999 } }, "required": [ "user", "access_token", "token_type", "expires_in" ] } }, "required": [ "data", "success" ] } } } }, "422": { "$ref": "#\/components\/responses\/ValidationException" }, "400": { "description": "Bad Request - The request was invalid or cannot be processed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Bad request" }, "success": { "type": "boolean", "description": "Success flag", "example": false }, "errors": { "type": "object", "description": "Errors object", "example": { "field_name": [ "The field_name field is required." ] } } }, "required": [ "message", "success" ] } } } }, "401": { "description": "Unauthorized - Authentication is required or has failed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string" }, "success": { "type": "boolean" } }, "required": [ "message", "success" ] } } } }, "500": { "description": "Internal Server Error - An unexpected error occurred on the server", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Internal server error" }, "success": { "type": "boolean", "description": "Success flag", "example": false } }, "required": [ "message", "success" ] } } } } }, "security": [] } }, "\/auth\/refresh": { "post": { "operationId": "auth.refresh", "description": "Refresh token and returns new token if successful", "summary": "Token Refresh", "tags": [ "Authentication" ], "responses": { "200": { "description": "Success response", "content": { "application\/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "data": { "type": "object", "properties": { "access_token": { "type": "string", "description": "JWT access token", "example": "eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9.eyJhdWQiOiIzIiwianRpIjoiMzQxZTYwZDI3ZDdjZjIwNmI0MDY0ZGFjZDk3M2IzMDhjNWM2N2FmOTI3ODQ1ZWY5ZDgzOWRhZmEwNGYxNzQxZDc1OTgxYjI4MzhiNzNhMjMiLCJpYXQiOjE3NTczNDI0NjEuNDQxODEsIm5iZiI6MTc1NzM0MjQ2MS40NDE4MTEsImV4cCI6MTc4ODg3ODQ2MS40Mzc0NzQsInN1YiI6IjQiLCJzY29wZXMiOltdfQ.me-OCVH_whpdesObTE_nxKhASiMyGmieEkhxNTdF9AWeiHbtlT1ZEkA433VtmHafp74VFq5bTSyOd2-iky_aoDEOjlsOGxnxYAcexq5vxWNF-bebWFaSxJdjeFYeFvwGx49im2gPuqYLL_bKOlujQHhgg6gkZz5xQCvU0PJ4N9Mgp8X9FRrJ8eD1glffAyvz8sXGM4O5ASdFU7KkqnppRpcWUQUM41sWJlD4myI7SKokrT-eIjmcFLakmLFgXPDQZJnEv2nBmTq2dnZDKS4TgC5wWtdMsIWZZrWpmLPkypf4R_qRtKEzz1GITHj6buCsBHGErvQAbtW6ZaBrxaGjetmBio1ldf9CGxSrdHDs2upUmCOZaaFss9IYdNOxS6YZ97DPJas0-nKwdj0BWxT_O8gfQkRVkqILWPEzCn0ZjtTGRmfXtDiFq1dm5ai9ac_NOF_CIsA5TNw9X4eDX8boKbv95MbTuAsnxTFHYJkDY37kBRMJJe0zMb1DVLVDSeeWmqGNdd-4JilT0VssPzG4nSfYwTDPMN4MLzVyNf8-3MGqedzCd6FfEyF_R1vhC_mqgjXTMYLpDV2n3ydMouaWipedhgEqveb3_LfGFncICORe6xpNKCk4AkAFpas52bERYoMiCQ8a9YOnnciHRZ2yb4P-6lv-PjpBWpw5qjxRToM" }, "token_type": { "type": "string", "description": "Token type", "example": "Bearer" }, "expires_in": { "type": "integer", "description": "Token expiration time in seconds", "example": 31535999 } }, "required": [ "user", "access_token", "token_type", "expires_in" ] } }, "required": [ "data", "success" ] } } } }, "400": { "description": "Bad Request - The request was invalid or cannot be processed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Bad request" }, "success": { "type": "boolean", "description": "Success flag", "example": false }, "errors": { "type": "object", "description": "Errors object", "example": { "field_name": [ "The field_name field is required." ] } } }, "required": [ "message", "success" ] } } } }, "401": { "description": "Unauthorized - Authentication is required or has failed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string" }, "success": { "type": "boolean" } }, "required": [ "message", "success" ] } } } }, "500": { "description": "Internal Server Error - An unexpected error occurred on the server", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Internal server error" }, "success": { "type": "boolean", "description": "Success flag", "example": false } }, "required": [ "message", "success" ] } } } } } } }, "\/auth\/me": { "get": { "operationId": "auth.me", "description": "Retrieves the authenticated partner's information", "summary": "Get Profile", "tags": [ "Authentication" ], "responses": { "200": { "description": "Success response", "content": { "application\/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "data": { "type": "object", "properties": { "user": { "type": "object", "properties": { "partner_id": { "type": "integer", "description": "Partner ID", "example": 4 }, "name": { "type": "string", "description": "Partner name", "example": "Test Partner" }, "email": { "type": "string", "description": "Partner user email", "example": "test-partner@example.com" }, "key": { "type": "string", "description": "Partner key", "example": "test-partner-key" }, "status": { "type": "string", "description": "Status: 0 -> disabled, 1 -> active", "enum": [ 0, 1 ], "example": 1 } }, "required": [ "partner_id", "name", "email", "key", "status" ] } }, "required": [ "user" ] } }, "required": [ "data", "success" ] } } } }, "400": { "description": "Bad Request - The request was invalid or cannot be processed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Bad request" }, "success": { "type": "boolean", "description": "Success flag", "example": false }, "errors": { "type": "object", "description": "Errors object", "example": { "field_name": [ "The field_name field is required." ] } } }, "required": [ "message", "success" ] } } } }, "401": { "description": "Unauthorized - Authentication is required or has failed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string" }, "success": { "type": "boolean" } }, "required": [ "message", "success" ] } } } }, "500": { "description": "Internal Server Error - An unexpected error occurred on the server", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Internal server error" }, "success": { "type": "boolean", "description": "Success flag", "example": false } }, "required": [ "message", "success" ] } } } } } } }, "\/business-classifications": { "get": { "operationId": "businessClassification.index", "description": "Retrieve available business entity types and classifications for business formation services. Includes LLC, Corporation, Non-Profit, and Partnership options with corresponding NAICS codes and industry categories.", "summary": "Get Business Classifications (NAICS)", "tags": [ "Business Services" ], "responses": { "200": { "description": "Success response", "content": { "application\/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "data": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "integer" }, "naics": { "type": "string", "description": "Numeric NAICS code.", "example": "111111" }, "description": { "type": "string", "description": "Description of the NAICS code.", "example": "Agriculture, forestry, fishing and hunting" }, "cd_code": { "type": "string", "description": "CD code of the NAICS code.", "example": "07324d4e-3f71-48f0-a846-723e029c94e7" } }, "required": [ "id", "naics", "description", "cd_code" ] } } }, "required": [ "data", "success" ] } } } }, "400": { "description": "Bad Request - The request was invalid or cannot be processed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Bad request" }, "success": { "type": "boolean", "description": "Success flag", "example": false }, "errors": { "type": "object", "description": "Errors object", "example": { "field_name": [ "The field_name field is required." ] } } }, "required": [ "message", "success" ] } } } }, "401": { "description": "Unauthorized - Authentication is required or has failed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string" }, "success": { "type": "boolean" } }, "required": [ "message", "success" ] } } } }, "500": { "description": "Internal Server Error - An unexpected error occurred on the server", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Internal server error" }, "success": { "type": "boolean", "description": "Success flag", "example": false } }, "required": [ "message", "success" ] } } } } } } }, "\/orders\/{order_uuid}": { "get": { "operationId": "order.getOrder", "description": "Manage order information including retrieval and updates of customer details, service configuration, and business formation data.", "summary": "Get Order Details", "tags": [ "Orders" ], "parameters": [ { "name": "order_uuid", "in": "path", "required": true, "schema": { "type": "string" } }, { "name": "order_uuid", "in": "query", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "Success response", "content": { "application\/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "data": { "type": "object", "properties": { "id": { "type": "integer", "example": 1 }, "uuid": { "type": "string", "example": "99ff4d16-4e61-499d-8e97-769de1bcca6b" }, "service": { "type": "string", "description": "Service identifier", "enum": [ "incorporation-package" ], "example": "incorporation-package" }, "status": { "type": "string", "description": "Order status", "enum": [ "Active", "Cancelled", "On Hold" ], "example": "On Hold" }, "processing_status": { "type": "string", "description": "Order processing status", "enum": [ "Created", "Processing", "Filed", "Completed", "Under Review" ], "example": "Under Review" }, "submit_date": { "type": "string", "description": "Date of order submission in YYYY-MM-DD format.", "example": "2021-01-01" }, "first_name": { "type": "string", "description": "First name of the customer.", "example": "John" }, "last_name": { "type": "string", "description": "Last name of the customer.", "example": "Doe" }, "email": { "type": "string", "description": "Email address of the customer.", "example": "john.doe@example.com" }, "phone_number": { "type": "string", "description": "Phone number of the customer.", "example": "4234567890" }, "consent_sms": { "type": "boolean", "example": true }, "member_final_judgment": { "type": "string", "description": "Member final judgment. Only present for non LLC business type in California with initial report product added", "enum": [ "Yes", "No" ], "example": "Yes" }, "initial_report_full_name": { "type": "string", "description": "Initial report full name. Only present for order with annual report product added", "example": "John Doe" }, "initial_report_title": { "type": "string", "description": "Initial report title. Only present for order with annual report product added", "example": "CEO" }, "created_at": { "type": "string", "description": "Date of order creation in YYYY-MM-DD HH:MM:SS format.", "example": "2021-01-01 00:00:00" }, "updated_at": { "type": "string", "description": "Date of order update in YYYY-MM-DD HH:MM:SS format.", "example": "2021-01-01 00:00:00" }, "business_data": { "type": "object", "properties": { "name": { "type": "string" }, "type": { "type": "string", "description": "Business type identifier", "enum": [ "LLC", "C Corporation", "S Corporation", "Nonprofit", "DBA", "Basic LLC", "Partnership", "Sole Proprietorship" ], "example": "Sole Proprietorship" }, "designator": { "type": "string", "description": "Business designator", "enum": [ "LLC", "L.L.C.", "Limited Liability Company", "Inc", "Inc.", "Co.", "Corp", "Incorporated", "Company", "Corporation", "Limited", "P.C.", "Professional Corporation", "P.A.", "Professional Association", "Chartered", "PLLC", "P.L.L.C.", "Professional Limited Liability Company" ], "example": "Professional Limited Liability Company" }, "formation_state": { "type": "string", "description": "US postal service standard two letter state code.", "example": "CA" }, "formation_date": { "type": "string", "description": "Date of business formation in YYYY-MM-DD format.", "example": "2021-01-01" }, "category": { "type": "string", "description": "Business Classification Category (Naics) numeric code", "example": "111111" }, "category_name": { "type": "string", "description": "Naics category description. Get it from Business Classifications Endpoint.", "example": "Agriculture, forestry, fishing and hunting" }, "alternative_name": { "type": "string" }, "description": { "type": "string" }, "address": { "type": "string" }, "city": { "type": "string" }, "state": { "type": "string", "description": "US postal service standard two letter state code.", "example": "CA" }, "zip": { "type": "string" }, "address_complement": { "type": "string" }, "managed_by": { "type": "string", "description": "Only present for LLC business type", "enum": [ "members", "managers" ], "example": "managers" }, "par_value": { "type": "number", "description": "Par value per share. Only present for C Corp and S Corp business types", "example": 0.01 }, "number_of_shares": { "type": "integer", "description": "Number of authorized shares. Only present for C Corp and S Corp business types", "example": 1000 }, "voting_members": { "type": "string", "description": "Number of voting members. Only present for Nonprofit business type" } }, "required": [ "name", "type", "formation_state", "category" ] }, "managers_data": { "type": "array", "items": { "type": "object", "properties": { "title": { "type": "string", "description": "Manager title", "enum": [ "Director", "President", "Secretary", "Vice President", "Officer", "Treasurer", "Manager", "Member" ], "example": "Member" }, "full_name": { "type": "string", "description": "Name of member\/manager or company", "example": "John Doe, Doe Inc." }, "address": { "type": "string", "description": "Street name and number", "example": "123 Main St" }, "city": { "type": "string", "description": "City", "example": "New York" }, "state": { "type": "string", "description": "US postal service standard two letter state code.", "example": "CA" }, "zip": { "type": "string", "description": "Zip code", "example": "12345" }, "address_complement": { "type": "string", "description": "Apartment, suite, unit, building, floor, etc.", "example": "Apt 1" }, "is_company": { "type": "boolean" } }, "required": [ "title", "full_name", "state", "zip", "city", "address", "address_complement", "is_company" ] } }, "registered_agent_provider": { "type": "string", "description": "Registered agent provider", "enum": [ "Swyft", "Other" ], "example": "Other" }, "registered_agent": { "type": "object", "properties": { "name": { "type": "string", "description": "Name of registered agent", "example": "John Doe RA Services" }, "address": { "type": "string", "description": "Street name and number", "example": "123 Main St" }, "city": { "type": "string", "description": "City", "example": "New York" }, "state": { "type": "string", "description": "US postal service standard two letter state code.", "example": "NY" }, "zip": { "type": "string", "description": "Zip code", "example": "12345" }, "phone": { "type": "string", "description": "Phone number", "example": "5551234567" }, "email": { "type": "string", "description": "Email address", "example": "ra@example.com" } }, "required": [ "name", "address", "city", "state", "zip", "phone", "email" ] }, "order_items": { "type": "array", "items": { "type": "object", "properties": { "submitted_at": { "type": "string", "description": "Date of order submission in YYYY-MM-DD format.", "example": "2021-01-01" }, "type": { "type": "string", "enum": [ "sale", "upsell" ], "example": "upsell" }, "items": { "type": "array", "items": { "type": "string" } } }, "required": [ "submitted_at", "type", "items" ] } }, "required_actions": { "type": "object", "properties": { "rejections": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "integer", "description": "Rejection ID" }, "reason": { "type": "string", "description": "Reason for the rejection" }, "message": { "type": "string", "description": "Message to the user" } }, "required": [ "id", "reason", "message" ] } }, "questionnaires": { "type": "array", "items": { "type": "object", "properties": { "questionnaire_name": { "type": "string", "description": "Questionnaire name", "enum": [ "Post checkout", "Business Organization Information", "Business Organization Information Update", "EIN", "S-Corp Election", "501c3 Eligibility", "501c3 Election", "DUNS", "Registered Agent", "Initial Report" ], "example": "Initial Report" }, "status": { "type": "string", "description": "Questionnaire status", "enum": [ "Not started", "Started", "Completed" ], "example": "Completed" }, "message": { "type": "string", "description": "Message to the user" } }, "required": [ "questionnaire_name", "status" ] } }, "alerts": { "type": "array", "items": { "type": "string" } } }, "required": [ "rejections", "questionnaires", "alerts" ] }, "child_orders": { "type": "array", "items": { "type": "object", "properties": { "id": { "type": "integer", "description": "Child order ID" }, "uuid": { "type": "string", "description": "Child order UUID" }, "type": { "type": "string", "description": "Child order type" }, "status": { "type": "string", "description": "Order status", "enum": [ "Active", "Cancelled", "On Hold" ], "example": "On Hold" }, "processing_status": { "type": "string", "description": "Order processing status", "enum": [ "Created", "Processing", "Filed", "Completed", "Under Review" ], "example": "Under Review" }, "submit_date": { "type": "string", "description": "Date of order submission in YYYY-MM-DD format.", "example": "2021-01-01" } }, "required": [ "id", "uuid", "type", "status", "processing_status", "submit_date" ] } }, "parent_order": { "type": "object", "properties": { "id": { "type": "integer", "description": "Parent order ID" }, "uuid": { "type": "string", "description": "Parent order UUID" }, "status": { "type": "string", "description": "Order status", "enum": [ "Active", "Cancelled", "On Hold" ], "example": "On Hold" }, "processing_status": { "type": "string", "description": "Order processing status", "enum": [ "Created", "Processing", "Filed", "Completed", "Under Review" ], "example": "Under Review" }, "submit_date": { "type": "string", "description": "Date of order submission in YYYY-MM-DD format.", "example": "2021-01-01" } }, "required": [ "id", "uuid", "status", "processing_status", "submit_date" ] } }, "required": [ "id", "uuid", "service", "status", "first_name", "last_name", "email", "business_data", "managers_data", "order_items", "required_actions" ] } }, "required": [ "data", "success" ] } } } }, "422": { "$ref": "#\/components\/responses\/ValidationException" }, "400": { "description": "Bad Request - The request was invalid or cannot be processed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Bad request" }, "success": { "type": "boolean", "description": "Success flag", "example": false }, "errors": { "type": "object", "description": "Errors object", "example": { "field_name": [ "The field_name field is required." ] } } }, "required": [ "message", "success" ] } } } }, "401": { "description": "Unauthorized - Authentication is required or has failed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string" }, "success": { "type": "boolean" } }, "required": [ "message", "success" ] } } } }, "500": { "description": "Internal Server Error - An unexpected error occurred on the server", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Internal server error" }, "success": { "type": "boolean", "description": "Success flag", "example": false } }, "required": [ "message", "success" ] } } } } } }, "patch": { "operationId": "order.update", "description": "Update an existing business formation order with the specified service and customer information. The system will validate all required fields, process the initial payment (if applicable), and create the order in pending status ready for completion and submission.", "summary": "Update Order", "tags": [ "Orders" ], "parameters": [ { "name": "order_uuid", "in": "path", "required": true, "schema": { "type": "string" } } ], "requestBody": { "description": "Order creation request body", "required": true, "content": { "application\/json": { "schema": { "type": "object", "properties": { "member_final_judgment": { "type": "string", "description": "Member final judgment. Only for non LLC business type in California with initial report product added", "enum": [ "Yes", "No" ], "example": "Yes" }, "initial_report_full_name": { "type": "string", "description": "Initial report full name. Only for order with annual report product added", "example": "John Doe" }, "initial_report_title": { "type": "string", "description": "Initial report title. Only for order with annual report product added", "example": "CEO" }, "business_data": { "type": "object", "properties": { "name": { "type": "string" }, "type": { "type": "string", "description": "Business type identifier", "enum": [ "LLC", "C Corporation", "S Corporation", "Nonprofit", "DBA", "Basic LLC", "Partnership", "Sole Proprietorship" ], "example": "Sole Proprietorship" }, "designator": { "type": "string", "description": "Business designator", "enum": [ "LLC", "L.L.C.", "Limited Liability Company", "Inc", "Inc.", "Co.", "Corp", "Incorporated", "Company", "Corporation", "Limited", "P.C.", "Professional Corporation", "P.A.", "Professional Association", "Chartered", "PLLC", "P.L.L.C.", "Professional Limited Liability Company" ], "example": "Professional Limited Liability Company" }, "formation_state": { "type": "string", "description": "US postal service standard two letter state code.", "example": "CA" }, "formation_date": { "type": "string", "description": "Date of business formation in YYYY-MM-DD format.", "example": "2021-01-01" }, "category": { "type": "string", "description": "Business Classification Category (Naics) numeric code", "example": "111111" }, "category_name": { "type": "string", "description": "Naics category description. Get it from Business Classifications Endpoint.", "example": "Agriculture, forestry, fishing and hunting" }, "alternative_name": { "type": "string" }, "description": { "type": "string" }, "address": { "type": "string" }, "city": { "type": "string" }, "state": { "type": "string", "description": "US postal service standard two letter state code.", "example": "CA" }, "zip": { "type": "string" }, "address_complement": { "type": "string" }, "managed_by": { "type": "string", "description": "Only present for LLC business type", "enum": [ "members", "managers" ], "example": "managers" }, "par_value": { "type": "number", "description": "Par value per share. Only present for C Corp and S Corp business types", "example": 0.01 }, "number_of_shares": { "type": "integer", "description": "Number of authorized shares. Only present for C Corp and S Corp business types", "example": 1000 }, "voting_members": { "type": "string", "description": "Number of voting members. Only present for Nonprofit business type" } }, "required": [ "name", "type", "formation_state", "category" ] }, "managers_data": { "type": "array", "items": { "type": "object", "properties": { "title": { "type": "string", "description": "Manager title", "enum": [ "Director", "President", "Secretary", "Vice President", "Officer", "Treasurer", "Manager", "Member" ], "example": "Member" }, "full_name": { "type": "string", "description": "Name of member\/manager or company", "example": "John Doe, Doe Inc." }, "address": { "type": "string", "description": "Street name and number", "example": "123 Main St" }, "city": { "type": "string", "description": "City", "example": "New York" }, "state": { "type": "string", "description": "US postal service standard two letter state code.", "example": "CA" }, "zip": { "type": "string", "description": "Zip code", "example": "12345" }, "address_complement": { "type": "string", "description": "Apartment, suite, unit, building, floor, etc.", "example": "Apt 1" }, "is_company": { "type": "boolean" } }, "required": [ "title", "full_name", "state", "zip", "city", "address", "address_complement", "is_company" ] } }, "registered_agent_provider": { "type": "string", "description": "Registered agent provider", "enum": [ "Swyft", "Other" ], "example": "Other" }, "registered_agent": { "type": "object", "properties": { "name": { "type": "string", "description": "Name of registered agent", "example": "John Doe RA Services" }, "address": { "type": "string", "description": "Street name and number", "example": "123 Main St" }, "city": { "type": "string", "description": "City", "example": "New York" }, "state": { "type": "string", "description": "US postal service standard two letter state code.", "example": "NY" }, "zip": { "type": "string", "description": "Zip code", "example": "12345" }, "phone": { "type": "string", "description": "Phone number", "example": "5551234567" }, "email": { "type": "string", "description": "Email address", "example": "ra@example.com" } }, "required": [ "name", "address", "city", "state", "zip", "phone", "email" ] } } } } } }, "responses": { "200": { "description": "Success response", "content": { "application\/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "data": { "type": "object", "properties": { "message": { "type": "string", "example": "Order updated successfully" }, "order_uuid": { "type": "string", "example": "99ff4d16-4e61-499d-8e97-769de1bcca6b" } }, "required": [ "message", "order_uuid" ] } }, "required": [ "data", "success" ] } } } }, "422": { "$ref": "#\/components\/responses\/ValidationException" }, "400": { "description": "Bad Request - The request was invalid or cannot be processed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Bad request" }, "success": { "type": "boolean", "description": "Success flag", "example": false }, "errors": { "type": "object", "description": "Errors object", "example": { "field_name": [ "The field_name field is required." ] } } }, "required": [ "message", "success" ] } } } }, "401": { "description": "Unauthorized - Authentication is required or has failed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string" }, "success": { "type": "boolean" } }, "required": [ "message", "success" ] } } } }, "500": { "description": "Internal Server Error - An unexpected error occurred on the server", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Internal server error" }, "success": { "type": "boolean", "description": "Success flag", "example": false } }, "required": [ "message", "success" ] } } } } } } }, "\/orders": { "post": { "operationId": "order.store", "description": "Create a new business formation order with the specified service and customer information. The system will validate all required fields, process the initial payment (if applicable), and create the order in pending status ready for completion and submission.", "summary": "Create New Order", "tags": [ "Orders" ], "requestBody": { "description": "Order creation request body", "required": true, "content": { "application\/json": { "schema": { "type": "object", "properties": { "service": { "type": "string", "description": "Service identifier. Check the \/service-carts endpoint for available services.", "enum": [ "incorporation-package", "501c3", "operating-agreement" ], "example": "operating-agreement" }, "consent_sms": { "type": "boolean" }, "email": { "type": "string", "description": "Email address of the customer.", "example": "john.doe@example.com" }, "first_name": { "type": "string", "example": "John" }, "last_name": { "type": "string", "example": "Doe" }, "phone_number": { "type": "string", "description": "Phone number of the customer.", "example": "4234567890" }, "business_data": { "type": "object", "properties": { "name": { "type": "string" }, "type": { "type": "string", "description": "Business type identifier", "enum": [ "LLC", "C Corporation", "S Corporation", "Nonprofit", "DBA", "Basic LLC", "Partnership", "Sole Proprietorship" ], "example": "Sole Proprietorship" }, "formation_state": { "type": "string", "description": "US postal service standard two letter state code.", "example": "CA" }, "category": { "type": "string", "description": "Business Classification Category (Naics) numeric code", "example": "111111" }, "formation_date": { "type": "string", "description": "Date of business formation in YYYY-MM-DD format.", "example": "2021-01-01" }, "address": { "type": "string" }, "city": { "type": "string" }, "state": { "type": "string", "description": "US postal service standard two letter state code.", "example": "CA" }, "zip": { "type": "string" }, "address_complement": { "type": "string" }, "par_value": { "type": "number", "description": "Par value per share. Only for C Corp and S Corp business types", "example": 0.01 }, "number_of_shares": { "type": "integer", "description": "Number of authorized shares. Only for C Corp and S Corp business types", "example": 1000 }, "managed_by": { "type": "string", "description": "Only for LLC business type", "enum": [ "members", "managers" ], "example": "managers" } }, "required": [ "name", "formation_state", "category" ] }, "managers_data": { "type": "array", "items": { "type": "object", "properties": { "title": { "type": "string", "description": "Manager title", "enum": [ "Director", "President", "Secretary", "Vice President", "Officer", "Treasurer", "Manager", "Member" ], "example": "Member" }, "full_name": { "type": "string", "description": "Name of member\/manager or company", "example": "John Doe, Doe Inc." }, "address": { "type": "string", "description": "Street name and number", "example": "123 Main St" }, "city": { "type": "string", "description": "City", "example": "New York" }, "state": { "type": "string", "description": "US postal service standard two letter state code.", "example": "CA" }, "zip": { "type": "string", "description": "Zip code", "example": "12345" }, "address_complement": { "type": "string", "description": "Apartment, suite, unit, building, floor, etc.", "example": "Apt 1" }, "is_company": { "type": "boolean" } }, "required": [ "title", "full_name", "state", "zip", "city", "address", "address_complement", "is_company" ] } } }, "required": [ "service", "email", "first_name", "last_name", "phone_number", "business_data" ] } } } }, "responses": { "200": { "description": "Success response", "content": { "application\/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "data": { "type": "object", "properties": { "message": { "type": "string", "example": "Order created successfully" }, "order_uuid": { "type": "string", "example": "99ff4d16-4e61-499d-8e97-769de1bcca6b" } }, "required": [ "message", "order_uuid" ] } }, "required": [ "data", "success" ] } } } }, "422": { "$ref": "#\/components\/responses\/ValidationException" }, "400": { "description": "Bad Request - The request was invalid or cannot be processed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Bad request" }, "success": { "type": "boolean", "description": "Success flag", "example": false }, "errors": { "type": "object", "description": "Errors object", "example": { "field_name": [ "The field_name field is required." ] } } }, "required": [ "message", "success" ] } } } }, "401": { "description": "Unauthorized - Authentication is required or has failed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string" }, "success": { "type": "boolean" } }, "required": [ "message", "success" ] } } } }, "500": { "description": "Internal Server Error - An unexpected error occurred on the server", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Internal server error" }, "success": { "type": "boolean", "description": "Success flag", "example": false } }, "required": [ "message", "success" ] } } } } } } }, "\/orders\/{order_uuid}\/post-checkout": { "get": { "operationId": "order.getOrderPostCheckout", "description": "Retrieve available additional services and add-ons that can be purchased after the initial order is completed. This includes complementary business services, compliance tools, and ongoing support options tailored to the specific business formation type.", "summary": "Get Post-Checkout Services", "tags": [ "Orders" ], "parameters": [ { "name": "order_uuid", "in": "path", "required": true, "schema": { "type": "string" } }, { "name": "order_uuid", "in": "query", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "Success response", "content": { "application\/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "data": { "type": "object", "properties": { "order_uuid": { "type": "string", "example": "99ff4d16-4e61-499d-8e97-769de1bcca6b" }, "input_fields": { "type": "array", "items": { "type": "object", "properties": { "name": { "type": "string", "description": "A name for the input field", "example": "Manager Title" }, "key": { "type": "string", "description": "A unique identifier for the input field", "example": "managers_data.*.title" }, "type": { "type": "string", "enum": [ "string", "integer", "boolean", "object", "enum", "array", "number" ], "example": "enum" }, "description": { "type": "string", "description": "A description of the input field", "example": "Title of manager" }, "validation_rules": { "type": "array", "description": "A set of applicable validation rules", "example": [ "string", "in:Member,Manager", "required", "size:2", "exists:states,abbr", "integer", "in:1,2,3,4,5,6,7,8,9,10", "min:1", "max:10", "between:1,10", "regex:\/^[a-zA-Z0-9]+$\/", "email:rfc,dns", "url", "boolean", "object" ], "items": { "type": "string" } }, "default_value": { "type": "string", "example": "null" }, "options": { "type": "object", "example": { "message": "Business type name" }, "properties": { "message": { "type": "string", "example": "LLC" }, "values": { "type": "string", "enum": [ "LLC", "C Corporation", "S Corporation", "Nonprofit", "DBA", "Basic LLC", "Partnership", "Sole Proprietorship" ], "example": "LLC" } } } }, "required": [ "name", "key", "type", "description", "validation_rules" ] } } }, "required": [ "order_uuid", "input_fields" ] } }, "required": [ "data", "success" ] } } } }, "422": { "$ref": "#\/components\/responses\/ValidationException" }, "400": { "description": "Bad Request - The request was invalid or cannot be processed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Bad request" }, "success": { "type": "boolean", "description": "Success flag", "example": false }, "errors": { "type": "object", "description": "Errors object", "example": { "field_name": [ "The field_name field is required." ] } } }, "required": [ "message", "success" ] } } } }, "401": { "description": "Unauthorized - Authentication is required or has failed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string" }, "success": { "type": "boolean" } }, "required": [ "message", "success" ] } } } }, "500": { "description": "Internal Server Error - An unexpected error occurred on the server", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Internal server error" }, "success": { "type": "boolean", "description": "Success flag", "example": false } }, "required": [ "message", "success" ] } } } } } } }, "\/orders\/{order_uuid}\/submit": { "post": { "operationId": "order.submitOrder", "description": "Submit a completed order for processing and filing. This action validates all required information, confirms payment, and begins the official business formation process with the appropriate state authorities. Once submitted, the order cannot be modified.", "summary": "Submit Order for Processing", "tags": [ "Orders" ], "parameters": [ { "name": "order_uuid", "in": "path", "required": true, "schema": { "type": "string" } } ], "requestBody": { "required": true, "content": { "application\/json": { "schema": { "$ref": "#\/components\/schemas\/SubmitOrderRequest" } } } }, "responses": { "200": { "description": "Success response", "content": { "application\/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "data": { "type": "object", "properties": { "message": { "type": "string", "example": "Order submitted successfully" }, "order_uuid": { "type": "string", "example": "99ff4d16-4e61-499d-8e97-769de1bcca6b" } }, "required": [ "message", "order_uuid" ] } }, "required": [ "data", "success" ] } } } }, "422": { "$ref": "#\/components\/responses\/ValidationException" }, "400": { "description": "Bad Request - The request was invalid or cannot be processed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Bad request" }, "success": { "type": "boolean", "description": "Success flag", "example": false }, "errors": { "type": "object", "description": "Errors object", "example": { "field_name": [ "The field_name field is required." ] } } }, "required": [ "message", "success" ] } } } }, "401": { "description": "Unauthorized - Authentication is required or has failed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string" }, "success": { "type": "boolean" } }, "required": [ "message", "success" ] } } } }, "500": { "description": "Internal Server Error - An unexpected error occurred on the server", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Internal server error" }, "success": { "type": "boolean", "description": "Success flag", "example": false } }, "required": [ "message", "success" ] } } } } } } }, "\/service-carts": { "get": { "operationId": "externalCart.index", "description": "Retrieve available service carts.", "summary": "Get Service Carts", "tags": [ "Service & Catalog" ], "responses": { "200": { "description": "Success response", "content": { "application\/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "data": { "type": "array", "items": { "type": "object", "properties": { "slug": { "type": "string", "description": "Service slug.", "example": "incorporation-package" }, "name": { "type": "string", "description": "Service name.", "example": "Incorporation Package" }, "description": { "type": "string", "description": "Description of the service.", "example": "Service that bundles together multiple products to create an incorporation" }, "allows_addons": { "type": "boolean", "description": "Whether the service allows addons (Add additional products to the service on submission). ", "example": true }, "is_standalone": { "type": "boolean", "description": "Whether the service is standalone or package (if package, service bundles together multiple products to create a single order). ", "example": true } }, "required": [ "slug", "name", "description", "allows_addons", "is_standalone" ] } } }, "required": [ "data", "success" ] } } } }, "400": { "description": "Bad Request - The request was invalid or cannot be processed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Bad request" }, "success": { "type": "boolean", "description": "Success flag", "example": false }, "errors": { "type": "object", "description": "Errors object", "example": { "field_name": [ "The field_name field is required." ] } } }, "required": [ "message", "success" ] } } } }, "401": { "description": "Unauthorized - Authentication is required or has failed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string" }, "success": { "type": "boolean" } }, "required": [ "message", "success" ] } } } }, "500": { "description": "Internal Server Error - An unexpected error occurred on the server", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Internal server error" }, "success": { "type": "boolean", "description": "Success flag", "example": false } }, "required": [ "message", "success" ] } } } } } } }, "\/service-carts\/{service}": { "get": { "operationId": "externalCart.getCart", "description": "Retrieve the complete configuration for a specific service, including required fields, add-ons, validation rules, available states and catalog items.", "summary": "Get Service Configuration", "tags": [ "Service & Catalog" ], "parameters": [ { "name": "service", "in": "path", "required": true, "schema": { "type": "string" } }, { "name": "service", "in": "query", "required": true, "schema": { "type": "string" } } ], "responses": { "200": { "description": "Success response", "content": { "application\/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "data": { "type": "object", "properties": { "name": { "type": "string", "description": "Name of the service" }, "slug": { "type": "string", "description": "Identifier of the service", "enum": [ "incorporation-package" ], "example": "incorporation-package" }, "description": { "type": "string", "description": "Description of the service" }, "input_fields": { "type": "array", "items": { "type": "object", "properties": { "name": { "type": "string", "description": "A name for the input field", "example": "Manager Title" }, "key": { "type": "string", "description": "A unique identifier for the input field", "example": "managers_data.*.title" }, "type": { "type": "string", "enum": [ "string", "integer", "boolean", "object", "enum", "array", "number" ], "example": "enum" }, "description": { "type": "string", "description": "A description of the input field", "example": "Title of manager" }, "validation_rules": { "type": "array", "description": "A set of applicable validation rules", "example": [ "string", "in:Member,Manager", "required", "size:2", "exists:states,abbr", "integer", "in:1,2,3,4,5,6,7,8,9,10", "min:1", "max:10", "between:1,10", "regex:\/^[a-zA-Z0-9]+$\/", "email:rfc,dns", "url", "boolean", "object" ], "items": { "type": "string" } }, "default_value": { "type": "string", "example": "null" }, "options": { "type": "object", "example": { "message": "Business type name" }, "properties": { "message": { "type": "string", "example": "LLC" }, "values": { "type": "string", "enum": [ "LLC", "C Corporation", "S Corporation", "Nonprofit", "DBA", "Basic LLC", "Partnership", "Sole Proprietorship" ], "example": "LLC" } } } }, "required": [ "name", "key", "type", "description", "validation_rules" ] } }, "catalog": { "type": "array", "items": { "type": "object", "properties": { "sku": { "type": "string", "example": "SF_1178_SG_0" }, "name": { "type": "string", "example": "Incorporation Basic" }, "item_type": { "type": "string", "enum": [ "product", "subscription" ], "example": "product" }, "has_gov_fee": { "type": "boolean", "description": "Whether the item has a government fee.", "example": true }, "price": { "type": "number", "example": 199 }, "fees": { "type": "object", "properties": { "AK": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "AL": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "AR": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "AZ": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "CA": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "CO": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "CT": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "DC": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "DE": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "FL": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "GA": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "HI": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "IA": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "ID": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "IL": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "IN": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "KS": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "KY": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "LA": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "MA": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "MD": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "ME": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "MN": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "MI": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "MO": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "MS": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "MT": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "NC": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "ND": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "NE": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "NH": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "NJ": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "NM": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "NV": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "NY": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "OH": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "OK": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "OR": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "PA": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "RI": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "SC": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "SD": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "TN": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "TX": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "UT": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "VA": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "VT": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "WA": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "WI": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "WV": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } }, "WY": { "type": "object", "properties": { "LLC": { "type": "integer", "example": 250 }, "C Corporation": { "type": "integer", "example": 250 }, "S Corporation": { "type": "integer", "example": 250 }, "Nonprofit": { "type": "integer", "example": 50 }, "DBA": { "type": "integer", "example": 75 } } } } }, "package": { "type": "boolean", "description": "Whether the item is a package (bundles together multiple products).", "example": true }, "package_items": { "type": "array", "example": [ "Employer Identification Number (EIN)", "Operating Agreement", "Standard Processing", "Statement of Organizer", "Banking Resolution", "Organizational Minutes" ], "items": { "type": "string" } }, "conditions": { "type": "object", "properties": { "must_not_be_added_with": { "type": "array", "example": [ "SF_1014_SG_0", "SF_1031_SG_0", "SF_1035_SG_0", "SF_1041_SG_0", "SF_1042_SG_0", "SF_1043_SG_0" ], "items": { "type": "string" } }, "applicable_biz_types": { "type": "array", "example": [ 1, 2 ], "items": { "type": "integer" } } } } }, "required": [ "sku", "name", "item_type", "has_gov_fee", "package" ] } } }, "required": [ "name", "slug", "description", "input_fields", "catalog" ] } }, "required": [ "data", "success" ] } } } }, "422": { "$ref": "#\/components\/responses\/ValidationException" }, "400": { "description": "Bad Request - The request was invalid or cannot be processed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Bad request" }, "success": { "type": "boolean", "description": "Success flag", "example": false }, "errors": { "type": "object", "description": "Errors object", "example": { "field_name": [ "The field_name field is required." ] } } }, "required": [ "message", "success" ] } } } }, "401": { "description": "Unauthorized - Authentication is required or has failed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string" }, "success": { "type": "boolean" } }, "required": [ "message", "success" ] } } } }, "500": { "description": "Internal Server Error - An unexpected error occurred on the server", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Internal server error" }, "success": { "type": "boolean", "description": "Success flag", "example": false } }, "required": [ "message", "success" ] } } } } } } }, "\/health-check\/system": { "get": { "operationId": "healthCheck.systemCheck", "description": "Monitor the health and status of the API system components including database connectivity, external services, and server resources.", "summary": "Check System Health", "tags": [ "System Health" ], "responses": { "200": { "description": "Success response", "content": { "application\/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "data": { "type": "object", "properties": { "name": { "type": "string" }, "status": { "type": "string", "enum": [ "success" ] }, "message": { "type": "string", "enum": [ "Application is up and running." ] }, "task": { "type": "string" }, "image": { "type": "string" }, "config": { "type": "string" }, "timestamp": { "type": "string" } }, "required": [ "name", "status", "message", "task", "image", "config", "timestamp" ] } }, "required": [ "data", "success" ] } } } }, "400": { "description": "Bad Request - The request was invalid or cannot be processed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Bad request" }, "success": { "type": "boolean", "description": "Success flag", "example": false }, "errors": { "type": "object", "description": "Errors object", "example": { "field_name": [ "The field_name field is required." ] } } }, "required": [ "message", "success" ] } } } }, "401": { "description": "Unauthorized - Authentication is required or has failed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string" }, "success": { "type": "boolean" } }, "required": [ "message", "success" ] } } } }, "500": { "description": "Internal Server Error - An unexpected error occurred on the server", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Internal server error" }, "success": { "type": "boolean", "description": "Success flag", "example": false } }, "required": [ "message", "success" ] } } } } } } }, "\/health-check\/db": { "get": { "operationId": "healthCheck.dbCheck", "description": "Verify database connectivity and performance metrics. Useful for monitoring and troubleshooting database issues.", "summary": "Check Database Health", "tags": [ "System Health" ], "responses": { "200": { "description": "Success response", "content": { "application\/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "data": { "type": "object", "properties": { "status": { "type": "string" }, "timestamp": { "type": "string" }, "checks": { "type": "object", "properties": { "database": { "type": "boolean" }, "redis": { "type": "boolean" }, "storage": { "type": "boolean" } } }, "response_time_ms": { "type": "integer" }, "version": { "type": "string" } }, "required": [ "status", "timestamp", "checks" ] } }, "required": [ "data", "success" ] } } } }, "400": { "description": "Bad Request - The request was invalid or cannot be processed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Bad request" }, "success": { "type": "boolean", "description": "Success flag", "example": false }, "errors": { "type": "object", "description": "Errors object", "example": { "field_name": [ "The field_name field is required." ] } } }, "required": [ "message", "success" ] } } } }, "401": { "description": "Unauthorized - Authentication is required or has failed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string" }, "success": { "type": "boolean" } }, "required": [ "message", "success" ] } } } }, "500": { "description": "Internal Server Error - An unexpected error occurred on the server", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Internal server error" }, "success": { "type": "boolean", "description": "Success flag", "example": false } }, "required": [ "message", "success" ] } } } } } } }, "\/tokens\/{email}\/ucp": { "get": { "operationId": "ucp.getAuthToken", "description": "Returns a JWT token for the Unified Customer Portal (UCP) integration iframe with partner ID", "summary": "Get UCP Token", "tags": [ "Unified Customer Portal" ], "parameters": [ { "name": "email", "in": "path", "required": true, "schema": { "type": "string" } }, { "name": "email", "in": "query", "required": true, "schema": { "type": "string", "format": "email" } } ], "responses": { "200": { "description": "Success response", "content": { "application\/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "data": { "type": "object", "properties": { "token": { "type": "string", "example": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJodHRwczovLzEwLjUwLjkuMjMzL2FwaS9leHRlcm5hbC90b2tlbnMvZHF1aXJvekBnbWFpbC5jb20vdWNwIiwiaWF0IjoxNzU2MTIzMzcyLCJleHAiOjE3NTYxMjY5NzIsIm5iZiI6MTc1NjEyMzM3MiwianRpIjoiQ2x2VURqSG9ucWdtT2dhTyIsInN1YiI6IjI4NDQyODUiLCJwcnYiOiI4N2UwYWYxZWY5ZmQxNTgxMmZkZWM5NzE1M2ExNGUwYjA0NzU0NmFhIiwidXN0IjoiMSJ9.4bBpV5YLZJCzwLx_Yv3uYiGGTrE9wXYwhFtWuA96ghE" }, "partner_id": { "type": "integer", "description": "Identifier of the partner.", "example": 1 } }, "required": [ "token", "partner_id" ] } }, "required": [ "data", "success" ] } } } }, "422": { "$ref": "#\/components\/responses\/ValidationException" }, "400": { "description": "Bad Request - The request was invalid or cannot be processed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Bad request" }, "success": { "type": "boolean", "description": "Success flag", "example": false }, "errors": { "type": "object", "description": "Errors object", "example": { "field_name": [ "The field_name field is required." ] } } }, "required": [ "message", "success" ] } } } }, "401": { "description": "Unauthorized - Authentication is required or has failed", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string" }, "success": { "type": "boolean" } }, "required": [ "message", "success" ] } } } }, "500": { "description": "Internal Server Error - An unexpected error occurred on the server", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Message to the user", "example": "Internal server error" }, "success": { "type": "boolean", "description": "Success flag", "example": false } }, "required": [ "message", "success" ] } } } } } } } }, "components": { "securitySchemes": { "http": { "type": "http", "scheme": "bearer" } }, "schemas": { "LoginRequest": { "type": "object", "properties": { "key": { "type": "string" }, "password": { "type": "string", "minLength": 8 } }, "required": [ "key", "password" ], "title": "LoginRequest" }, "SubmitOrderRequest": { "type": "object", "properties": { "order_uuid": { "type": "string" }, "skus": { "type": "array", "items": { "type": "string" } } }, "required": [ "order_uuid", "skus" ], "title": "SubmitOrderRequest" } }, "responses": { "ValidationException": { "description": "Validation error", "content": { "application\/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "Errors overview." }, "errors": { "type": "object", "description": "A detailed description of each field that failed validation.", "additionalProperties": { "type": "array", "items": { "type": "string" } } } }, "required": [ "message", "errors" ] } } } } } } }